#!/usr/bin/env sh
# Copyright (C) 2020  Leipzig University Library
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
# @license https://opensource.org/licenses/GPL-3.0 GNU GPLv3

term_grunt () {
  echo "Terminating grunt ..."
  while true; do
    PID=$(pgrep -o grunt)
    if [ -z "$PID" ]; then break; fi
    (sleep 1; kill -TERM "$PID") &
    tail --pid="$PID" -f /dev/null
  done
  exit 0
}

if [ "$(whoami)" = "node" ]; then
  mkdir -p "$HOME"
  PREFIX="$HOME" npm install
  node_modules/.bin/grunt "$@"
  exit
fi

until ! (ping -c1 env >/dev/null 2>&1) && [ -f ./data/docker/env/grunt ]; do :; done
set -a; . ./data/docker/env/grunt; set +a

trap term_grunt TERM
: "${UIDGID:=$(stat -c '%u' .):$(stat -c '%g' .)}"
sed -i "s/$(id -u node):$(id -g node)/$UIDGID/" /etc/passwd
su -p -c "exec $0 $*" node &
while true; do sleep 1; done