<?php
/**
 * Copyright (C) 2021 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author  Robert Lange <lange@ub.uni-leipzig.de>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */
    use Zend\Filter\StringTrim;
    use Zend\Form\Element\Password;
    use Zend\Form\Element\Submit;
    use Zend\Hydrator\ClassMethods;

    return [
    'hydrator' => ClassMethods::class,
    'elements' => [
        'password' => [
            'spec' => [
                'name' => 'passwordConfirmation',
                'type' => Password::class,
                'options' => [
                    'label' => 'label_password',
                ],
                'attributes' => [
                    'autocomplete' => 'current-password',
                    'autofocus' => true,
                    'title' => 'Password',
                ],
            ],
        ],
        'submit' => [
            'spec' => [
                'name' => 'submit',
                'type' => Submit::class,
                'attributes' => [
                    'value' => 'label_submit',
                ],
            ],
        ],
    ],
    'input_filter' => [
        'passwordConfirmation' => [
            'name' => 'passwordConfirmation',
            'required' => true,
            'filters' => [
                StringTrim::class => [
                    'name' => StringTrim::class,
                ],
            ],
        ],
        'submit' => [
            'name' => 'submit',
            'required' => true,
        ],
    ],
];
