<?php
/**
 * Copyright (C) 2019 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */

namespace fid_adlr\Validator;

use fid\InputFilter\RootAwareBaseInputFilter;
use Zend\Validator\AbstractValidator;

class HomeAddressField extends AbstractValidator
{
    public const ERROR = 'error';

    protected $messageTemplates
        = [
            self::ERROR => 'error_home_address_value',
        ];

    public function isValid($value, array $context = null)
    {
        $empty = $context['line1'] . $context['line2'] . $context['zip']
            . $context['city'] . $context['country'] === '';

        $values = $context[RootAwareBaseInputFilter::ROOT]->getValues();
        $valid = $values['data']['delivery_address'] ? $value !== ''
            : $empty || $value !== '';

        if (!$valid) {
            $this->error(self::ERROR);
        }

        return $valid;
    }
}